From de1335fa3dc094ccf3b9322827c640f64c7c34b0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 16 2020 03:47:02 +0000
Subject: [PATCH 1422/2232] Simplify CxxString push_bytes implementation


---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index 1295e88..273905e 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -12,7 +12,7 @@ extern "C" {
     #[link_name = "cxxbridge05$cxx_string$length"]
     fn string_length(this: &CxxString) -> usize;
     #[link_name = "cxxbridge05$cxx_string$push"]
-    fn string_push(this: &mut CxxString, ptr: *const u8, len: usize);
+    fn string_push(this: Pin<&mut CxxString>, ptr: *const u8, len: usize);
 }
 
 /// Binding to C++ `std::string`.
@@ -95,10 +95,7 @@ impl CxxString {
 
     /// Appends arbitrary bytes onto the end of this C++ string.
     pub fn push_bytes(self: Pin<&mut Self>, bytes: &[u8]) {
-        unsafe {
-            let this = Pin::into_inner_unchecked(self);
-            string_push(this, bytes.as_ptr(), bytes.len())
-        }
+        unsafe { string_push(self, bytes.as_ptr(), bytes.len()) }
     }
 }
 

